EDIT - bug #9704

Several issues when trying to move taxon with dialogue
07/09/2021 03:30 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.27

Severity: normal Found in Version:

Description

When entering "*" | got the first exception.
When selecting the classification (root) as new parent | got the second exception.

last remote method : http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/classification.se
rvice
last remote request client time : 2021-07-09T15:28:58.396
last remote request response header time : Fri, 09 Jul 2021 13:28:58 GMT
client error time : 2021-07-09T15:28:58.427
login : admin
editor version : 5.25.0.202107090955
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.25.1.0.20210702
os : Windows Server 2012 R2 6.3 amdo64
java : 1.8.0_131
org.hibernate.QueryParameterException: could not locate named parameter [doubtfulPattern]

at org.hibernate.engine.query.spi.ParameterMetadata.getNamedParameterDescriptor (ParameterMetad
ata.java:131)

at org.hibernate.engine.query.spi.ParameterMetadata.getNamedParameterExpectedType (ParameterMet
adata.java:148)

at org.hibernate.internal.AbstractQueryImpl.determineType (AbstractQueryImpl. java:517)

at org.hibernate.internal.AbstractQueryImpl.setParameter (AbstractQueryImpl. java:487)

at eu.etaxonomy.cdm.persistence.dao.hibernate.taxon.TaxonNodeDaoHibernateImpl.createQueryForUu
idAndTitleCache (TaxonNodeDaoHibernateImpl. java:275)

at eu.etaxonomy.cdm.persistence.dao.hibernate.taxon.TaxonNodeDaoHibernateImpl.getTaxonNodeUuid
AndTitleCacheOfAcceptedTaxaByClassification (TaxonNodeDaoHibernateImpl. java:1095)

at eu.etaxonomy.cdm.api.service.ClassificationServiceImpl.getTaxonNodeUuidAndTitleCacheOfAccep
tedTaxaByClassification(ClassificationServiceImpl. java:438)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:333)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (
TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:283)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.S$Proxy762.getTaxonNodeUuidAndTitleCacheOfAcceptedTaxaByClassification (Unknown
Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

04/23/2024 1/7




at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:333)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting.support.RemoteInvocationTracelnterceptor.invoke (RemoteInvocati
onTracelnterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.SProxyll1l4.getTaxonNodeUuidAndTitleCacheOfAcceptedTaxaByClassification (Unknow
n Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)

at eu.etaxonomy.cdm.api.remoting.DebuggingRemoteInvocationExecutor.invoke (DebuggingRemoteInvoc
ationExecutor. java:52)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter. java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
erServiceExporter. java:80)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:967)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet.java:901)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet.java:970)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:872)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:846)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolderS$SNotAsyncServlet.service (ServletHolder. java:1395)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:755)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1617)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:317)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:127)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor.java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:331)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:137)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter.java:170)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
AwareFilter.java:63)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:331)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:215)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)
web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.FilterChainProxy.doFilterInternal (FilterChainProxy.java:21

security.web.FilterChainProxy.doFilter (FilterChainProxy.java:177)
web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. j

web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy.java:26

eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1604)
eu.etaxonomy.cdm.servlet.DateHeaderFilter.doFilter (DateHeaderFilter. java:55)
org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1604)

web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:107)

servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1596)
servlet.ServletHandler.doHandle (ServletHandler. java:545)
server.handler.ScopedHandler.handle (ScopedHandler. java:143)
security.SecurityHandler.handle (SecurityHandler. java:590)

.handler.HandlerWrapper.handle (HandlerWrapper.java:127)
handler.ScopedHandler.nextHandle (ScopedHandler :235)
session. :1607)
.handler.ScopedHandler.nextHandle (ScopedHandler :233)
handler.ContextHandler.doHandle (ContextHandler :1297)
handler.ScopedHandler.nextScope (ScopedHandler. java:188)

. java
SessionHandler.doHandle (SessionHandler. java
. java

. java

servlet.ServletHandler.doScope (ServletHandler. java:485)

session.SessionHandler.doScope (SessionHandler. java:1577)
.handler.ScopedHandler.nextScope (ScopedHandler. java:186)
handler.ContextHandler.doScope (ContextHandler. java:1212)
handler.
handler.

ScopedHandler.handle (ScopedHandler. java:141)
HandlerWrapper.handle (HandlerWrapper.java:127)

eu.etaxonomy.cdm.server.logging.InstancelLogWrapper.handle (InstancelogWrapper. java:47)

handler.ContextHandlerCollection.handle (ContextHandlerCollection.j

handler.HandlerWrapper.handle (HandlerWrapper. java:127)
.Server.handle (Server. java:500)
HttpChannel.lambda$handle$1l (HttpChannel. java:383)
HttpChannel.dispatch (HttpChannel. java:547)
.HttpChannel.handle (HttpChannel. java:375)
HttpConnection.onFillable (HttpConnection. java:270)

io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:311)
io.FillInterest.fillable(FillInterest.java:103)

io.ChannelEndPoint$2.
util.
util.
util.
util.
util.

run (ChannelEndPoint. java:117)

EatWhatYouKill.runTask (EatWhatYouKill. java:336)
EatWhatYouKill.doProduce (EatWhatYouKill. java:313)
thread.strategy.EatWhatYouKill.tryProduce (EatWhatYouKill. java:171)
thread.strategy.EatWhatYouKill.run (EatWhatYouKill. java:129)
thread.ReservedThreadExecutor$ReservedThread.run (ReservedThreadExecu

thread.strategy.
thread.strategy.

thread.
thread.

QueuedThreadPool.runJob (QueuedThreadPool. java:806)
QueuedThreadPool$Runner.run (QueuedThreadPool. java: 938)
at java.lang.Thread.run (Thread. java:748)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils. java:45)

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult
.java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor. java:158)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.S$SProxy27.getTaxonNodeUuidAndTitleCacheOfAcceptedTaxaByClassification (Unknown
Source)

at eu.etaxonomy.taxeditor.ui.dialog.selection.TaxonNodeSelectionDialog.callService (TaxonNodeSe
lectionDialog. java:180)

at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.searc
h (AbstractFilteredCdmResourceSelectionDialog. java:486)

at eu.etaxonomy.taxeditor.ui.dialog.selection.SearchDialog$2.modifyText (SearchDialog. java:175)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:180)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1103)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1084)

at org.eclipse.swt.widgets.Text.wmCommandChild (Text.java:3122)

at org.eclipse.swt.widgets.Control.WM_COMMAND (Control.java:4947)

at org.eclipse.swt.widgets.Control.windowProc (Control.java:4802)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:5123)

at org.eclipse.swt.internal.win32.0S.CallWindowProcW (Native Method)

at org.eclipse.swt.internal.win32.0S.CallWindowProc (0S.java:2446)

at org.eclipse.swt.widgets.Text.callWindowProc (Text.java:262)

at org.eclipse.swt.widgets.Control.windowProc (Control.java:4897)

at org.eclipse.swt.widgets.Text.windowProc (Text.java:2704)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:5110)

at org.eclipse.swt.internal.win32.0S.DispatchMessageW (Native Method)

at org.eclipse.swt.internal.win32.0S.DispatchMessage (0S.java:2552)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3822)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse.jface.window.Window.open (Window. java:794)

at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.getUu
idAndTitleCacheSelectionFromDialog (AbstractFilteredCdmResourceSelectionDialog. java:149)

at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.getSe
lectionFromDialog (AbstractFilteredCdmResourceSelectionDialog. java:133)

at eu.etaxonomy.taxeditor.ui.dialog.selection.TaxonNodeSelectionDialog.select (TaxonNodeSelecti
onDialog. java:48)

at eu.etaxonomy.taxeditor.navigation.navigator.ed4.handler.MoveTaxonNodeHandlerE4.prepareOperat
ion (MoveTaxonNodeHandlerE4. java:116)

at eu.etaxonomy.taxeditor.operation.ed.CdmHandlerE4.execute (CdmHandlerE4. java:56)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:55)

at org.eclipse.ed4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:288)

at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:13

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. j
ava:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.
java:210)

at org.eclipse.e4d.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContri
butionItem. java:433)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (Ab
stractContributionItem. java:454)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractCo

ntributionItem. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l
022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLlauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/taxonnode.service
2021-07-09T15:29:41.928
09 Jul 2021 13:29:42 GMT

last remote method
last remote request client time
last remote request response header time Fri,
client error time 2021-07-09T15:29:41.96
login admin

5.25.0.202107090955
test.e-taxonomy.eu (edit-test)

5.25.1.0.20210702

editor version
server / rem_conf_am

schema version

os Windows Server 2012 R2 6.3 amd64
java 1.8.0_131
org.eclipse.ed.core.di.InjectionException: java.lang.NullPointerException

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:288)

at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:13
2)

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. j
ava:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.
java:210)

at org.eclipse.e4d.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContri
butionItem. java:433)

at org.eclipse.e4d.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (Ab

stractContributionItem. java:454)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractCo
ntributionItem. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
eu.etaxonomy.taxeditor.Application.start (Application. java:20)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc

her.java:134)
Caused
at

org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:

org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)
org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:498)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
org.eclipse.equinox.launcher.Main.run(Main.java:1519)

by: java.lang.NullPointerException
eu.etaxonomy.taxeditor.navigation.navigator.e4.handler.MoveTaxonNodeHandlerE4.prepareOperat

ion (MoveTaxonNodeHandlerE4. java:123)

at
at
at
at
at
at

eu.etaxonomy.taxeditor.operation.ed.CdmHandlerE4.execute (CdmHandlerE4. java:56)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:55)
Associated revisions

Revision 09eadea8 - 08/10/2021 11:49 AM - Katja Luther
ref #9704: fix NPE for * in search

Revision 25429db9 - 08/10/2021 11:51 AM - Katja Luther

ref #9704: fix NPE when moving node to root

Revision 3154576¢ - 09/09/2021 02:40 PM - Katja Luther

ref #9704: fix NPE when moving node to root

History

#1 - 07/14/2021 05:33 PM - Andreas Miiller

- Subject changed from Several issues when try to move taxon with dialogue to Several issues when trying to move taxon with dialogue

#2 - 07/16/2021 02:51 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45

#3 - 08/10/2021 11:50 AM - Katja Luther

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

Both exceptions should be fixed with the last commits. Please review.
#4 - 08/10/2021 11:50 AM - Katja Luther
- % Done changed from 0 to 60

#5 - 08/30/2021 08:23 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 60 to 100
Both issues seem to be fixed.

#6 - 09/21/2021 02:11 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.27
